%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc14}}

Summary:	Threaded-Samba-Scanner -- A threaded SAMBA subnet scanner.
Name:		threaded-samba-scanner
Version:	3.6
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	threaded-samba-scanner

%description
Threaded-Samba-Scanner - A threaded SAMBA subnet scanner.

%prep
%setup -q
%configure || exit 0

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` || exit 0

install -d %{buildroot}%{_bindir}
install -m 755 threaded-samba-scanner %{buildroot}%{_bindir}

# Doc files
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS %{buildroot}%{_datadir}/doc/%{name}

%post 

%clean
rm -rf $RPM_BUILD_ROOT

###%files -f %{name}.lang

%files

%defattr(0755, root, root)
%{_bindir}/%{name}

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 

%changelog
* Thu Dec 8 2011 Magnus-swe <magnus-swe@telia.com>
- Added options verbose, timeout and help.
* Wed Dec 7 2011 Magnus-swe <magnus-swe@telia.com>
- Indentation fixes.
* Sun Jan 2 2011 Magnus-swe <magnus-swe@telia.com>
- Extended the scan timeout and other fixes.
* Fri Jul 17 2009 Magnus-swe <magnus-swe@telia.com>
- Also scan 10.x networks.
* Tue Dec 4 2008 Magnus-swe <magnus-swe@telia.com>
- Initial RPM release.
